Package org.eclipse.ui.console

## Class PatternMatchEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.ui.console.PatternMatchEvent

All Implemented Interfaces:
  `Serializable`

    public class PatternMatchEvent
    extends EventObject

An event describing a pattern match in a text console. The source of the event is a `TextConsole`.

Clients may instantiate this class.

Since:
  3.1
See Also:
  `IPatternMatchListener`, `TextConsole`, Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`PatternMatchEvent​(TextConsole console, int matchOffset, int matchLength)` Constructs a new pattern match event.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLength()` Returns the length of the matched string.
`int` `getOffset()` Returns the offset of the match within the document.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PatternMatchEvent

    public PatternMatchEvent​(TextConsole console,
                             int matchOffset,
                             int matchLength)

Constructs a new pattern match event.

Parameters:
  `console` - the console in which the match was found
  `matchOffset` - the offset at which the match was found
  `matchLength` - the length of the text that matched

### Method Detail

#### getLength

    public int getLength()

Returns the length of the matched string.

Returns:
  the length of the matched string

#### getOffset

    public int getOffset()

Returns the offset of the match within the document.

Returns:
  the offset of the match within the document